View Bug Details

IDProjectCategoryView StatusLast Update
0001203DCP-o-matic[All Projects] Bugspublic2018-02-12 22:10
ReporterMarkusAssigned Tocarl 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform64-bitOSWindowsOS Version10
Product Version2.11.0 
Target Version2.12.0Fixed in Version 
Summary0001203: Audio analysis of 2. File wrong
Descriptionopen a file, do audio analyse.
open a second file and do audio analyse: first the percentage starts with -100% and also the analyse is show wrong

see screenshots, analysis of the same clip, but in the version where it's analysed after another file, the analyse shows wrong no sound in the beginning.
TagsNo tags attached.
Estimated work requiredUnknown

Activities

Markus

2018-02-09 20:56

reporter  

dombug1.PNG (51,966 bytes)
dombug1.PNG (51,966 bytes)
dombug2.PNG (49,699 bytes)
dombug2.PNG (49,699 bytes)

Carsten

2018-02-10 00:23

manager   ~0002119

It appears as if DCP-o-matic when analyzing the second file, is initially going through the first file (hence the negative progress), but creates a null ouput from it. When it reaches the second file, a real analysis starts. I assume this would also happen with the third, fourth, etc file. So, analysis is not actually 'slow', but delayed.

- Carsten

Carsten

2018-02-10 00:45

manager   ~0002121

Last edited: 2018-02-10 00:49

View 2 revisions

Yup, very easy to reproduce, e.g. with SINTEL. The negative percentage is calculated based on the runtime of the first file(s).

You can e.g. load Sintel - the analysis runs through normally. Load the same Sintel a second time - the analysis begins at -100%, crawls to 0%, then the actual analysis of the second source content is started from 0% to 100%.

If e.g. I load Sintel first, let it analyze, then load the shorter BigBuckBunny, the second analysis starts with -2580%, and it takes as long to crawl to zero as it takes to analyze the Sintel.

The second analysis is unusable, as all the null-values of the preceding files' analysis are contained in it.

- Carsten



Carsten

2018-02-10 00:50

manager  

carl

2018-02-10 02:09

administrator   ~0002123

9d4906db6e143248cf1e814d539aa2c7a50721dc should help (2.11.53)

carl

2018-02-12 20:54

administrator   ~0002140

@Markus, is 2.11.53 any better for you?

Carsten

2018-02-12 22:07

manager   ~0002145

Fixed for me, I can have multiple files loaded now and all are analyzed properly.

- Carsten

carl

2018-02-12 22:10

administrator   ~0002146

Thanks Carsten, that's good enough for me!

Bug History

Date Modified Username Field Change
2018-02-09 20:56 Markus New Bug
2018-02-09 20:56 Markus File Added: dombug1.PNG
2018-02-09 20:56 Markus File Added: dombug2.PNG
2018-02-10 00:23 Carsten Note Added: 0002119
2018-02-10 00:36 carl Target Version => 2.12.0
2018-02-10 00:45 Carsten File Added: Bildschirmfoto 2018-02-10 um 01.44.28.png
2018-02-10 00:45 Carsten Note Added: 0002121
2018-02-10 00:49 Carsten Note Edited: 0002121 View Revisions
2018-02-10 00:50 Carsten File Added: Bildschirmfoto 2018-02-10 um 01.49.11.png
2018-02-10 02:09 carl Note Added: 0002123
2018-02-12 20:54 carl Assigned To => carl
2018-02-12 20:54 carl Status new => feedback
2018-02-12 20:54 carl Note Added: 0002140
2018-02-12 22:07 Carsten Note Added: 0002145
2018-02-12 22:10 carl Status feedback => resolved
2018-02-12 22:10 carl Resolution open => fixed
2018-02-12 22:10 carl Note Added: 0002146